
Figure - Bug #117379
测试 Test-ST # 114575 (New): V5.0功能测试票

测试 Test-ST # 114579 (New): GameMode

【AF】【EVT】【游戏模式】下载打开崩坏3，点击进入更新加载状态，会闪退回桌面
2023-04-11 14:35 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-11

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0090.C103(X103)

Resolution: INVALID Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、设备已开机

【测试步骤】

1、在应用宝或者华为应用市场中下载崩坏3

2、打开崩坏3，点击进入更新加载状态

【预期结果】

2、正常更新并进入游戏页面

【实际结果】

2、会闪退回桌面，后台有进程

History

#1 - 2023-04-11 21:49 - CD FW 曹覃刚

- Status changed from New to NEED_INFO

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- Need_Info changed from -- to TEST

Hi 永红

■ 当前的状态

------------------

04-11 08:40:37.120  7276  7927 E System  :  ** DEPRECATED FUNCTIONALITY **

04-11 08:40:37.120  7276  7927 E System  :  * The implementation of the KeyFactory.RSA algorithm from

04-11 08:40:37.120  7276  7927 E System  :  * the BC provider is deprecated in this version of Android.

04-11 08:40:37.120  7276  7927 E System  :  * It will be removed in a future version of Android and your

04-11 08:40:37.120  7276  7927 E System  :  * application will no longer be able to request it.  Please see

04-11 08:40:37.120  7276  7927 E System  :  * https://android-developers.googleblog.com/2018/03/cryptography-changes-in-android-p.html

04-11 08:40:37.120  7276  7927 E System  :  * for more details.

04-11 08:40:37.205  7276  7276 E encent.tmgp.bh: No implementation found for boolean com.tencent.gamematrixsdk.CgSdk.nativeIsCloudGameEnv() (tried

Java_com_tencent_gamematrixsdk_CgSdk_nativeIsCloudGameEnv and Java_com_tencent_gamematrixsdk_CgSdk_nativeIsCloudGameEnv__)

04-11 08:40:38.119  7276  7276 I auditd  : type=1400 audit(0.0:33744): avc: granted { nlmsg_readpriv } for comm="qm-thread-3"

scontext=u:r:untrusted_app_27:s0:c512,c768 tcontext=u:r:untrusted_app_27:s0:c512,c768 tclass=netlink_route_socket app=com.tencent.tmgp.bh3
04-11 08:40:38.813  7276  7893 W UnsafeUtil: platform method missing - proto runtime falling back to safer methods: java.lang.NoSuchMethodException:

sun.misc.Unsafe.copyMemory [class java.lang.Object, long, class java.lang.Object, long, long]

游戏内部报错，没有找到方法的实现

04-11 08:40:39.135  1558  2719 I ActivityManager: Process com.tencent.tmgp.bh3 (pid 7276) has died: fg  TOP 

04-11 08:40:39.136  1558 12102 I WindowManager: WIN DEATH: Window{5955e16 u0

com.tencent.tmgp.bh3/com.miHoYo.overridenativeactivity.OverrideNativeActivity}

04-11 08:40:39.136  1558  2719 I am_proc_died: [0,7276,com.tencent.tmgp.bh3,0,2]

04-11 08:40:39.150  1558  2719 W ActivityTaskManager: Force removing ActivityRecord{5815bea u0

com.tencent.tmgp.bh3/com.miHoYo.overridenativeactivity.OverrideNativeActivity t6382}: app died, no saved state

04-11 08:40:39.150  1558  2719 I wm_finish_activity: [0,92363754,6382,com.tencent.tmgp.bh3/com.miHoYo.overridenativeactivity.OverrideNativeActivity,proc died

without state saved]

------------------

崩坏三更新时，应用内部报错，导致游戏退出

我在联想的对比平板上也复现了该问题(需要连接上USB才能复现)

■ 下一步计划

这个是游戏内部的问题，与系统无关，请确认

#2 - 2023-04-12 10:50 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Need_Info changed from TEST to --

- Resolution changed from -- to INVALID

4.12

确认在不连接usb的情况下，不会发生闪退现象

考虑在实车上无此场景，先关闭此bug

#3 - 2023-04-12 10:50 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#4 - 2023-04-12 10:50 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-04-11 14-23-26.mp4 6.18 MB 2023-04-11 CD TEST-方永红

1423.txt 4.41 MB 2023-04-11 CD TEST-方永红
